/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of eslint-config-vue which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

module.exports = {

  globals: {},

  parser: 'vue-eslint-parser',

  extends: [
    '@sapphirecode/eslint-config-es6',
    'plugin:vue/recommended'
  ],

  plugins: [
    'eslint-plugin-vue'
  ],

  parserOptions: {
    sourceType: 'module',
    parser: 'babel-eslint'
  },

  rules: {
    'vue/prop-name-casing': ['error', 'snake_case'],
    'id-match': ['error', '(^[a-z][a-z0-9_]*$|^[A-Z][a-zA-Z]+$)']
  }
}
